<?php
/**
 * @category   Alogic
 * @package    Alogic_CustomerSurvery
 * @author     dushyanta.joshi@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Alogic\CustomerSurvery\Block;

use Magento\Framework\View\Element\Template\Context;
use Alogic\CustomerSurvery\Model\CustomerSurveryFactory;
/**
 * CustomerSurvery List block
 */
class CustomerSurveryListData extends \Magento\Framework\View\Element\Template
{
    /**
     * @var CustomerSurvery
     */
    protected $_customersurvery;
    public function __construct(
        Context $context,
        CustomerSurveryFactory $customersurvery
    ) {
        $this->_customersurvery = $customersurvery;
        parent::__construct($context);
    }

    public function _prepareLayout()
    {
        $this->pageConfig->getTitle()->set(__('Alogic CustomerSurvery Module List Page'));
        
        if ($this->getCustomerSurveryCollection()) {
            $pager = $this->getLayout()->createBlock(
                'Magento\Theme\Block\Html\Pager',
                'alogic.customersurvery.pager'
            )->setAvailableLimit(array(5=>5,10=>10,15=>15))->setShowPerPage(true)->setCollection(
                $this->getCustomerSurveryCollection()
            );
            $this->setChild('pager', $pager);
            $this->getCustomerSurveryCollection()->load();
        }
        return parent::_prepareLayout();
    }

    public function getCustomerSurveryCollection()
    {
        $page = ($this->getRequest()->getParam('p'))? $this->getRequest()->getParam('p') : 1;
        $pageSize = ($this->getRequest()->getParam('limit'))? $this->getRequest()->getParam('limit') : 5;

        $customersurvery = $this->_customersurvery->create();
        $collection = $customersurvery->getCollection();
        $collection->addFieldToFilter('status','1');
        //$customersurvery->setOrder('customersurvery_id','ASC');
        $collection->setPageSize($pageSize);
        $collection->setCurPage($page);

        return $collection;
    }

    public function getPagerHtml()
    {
        return $this->getChildHtml('pager');
    }
}